unit App_FullsizePreview;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, Menus, clipbrd;

type
  TDlg_FullSize = class(TForm)
    Image1: TImage;
    Dlg_Menu: TMainMenu;
    Close1: TMenuItem;
    CopytoClipboard1: TMenuItem;
    procedure Close1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CopytoClipboard1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Dlg_FullSize: TDlg_FullSize;

implementation

uses Main;

{$R *.dfm}

procedure TDlg_FullSize.Close1Click(Sender: TObject);
begin
  Close;
end;

procedure TDlg_FullSize.FormShow(Sender: TObject);
var
  Width, Height : integer;
begin
  //load texture
  MainForm.UTPackage_Load.Load_NormalTexture(MainForm.TexId, 512);

  Width  := MainForm.UTPackage_Load.Texture.MipMap.Width;
  Height := MainForm.UTPackage_Load.Texture.MipMap.Height;

  Image1.Picture.Assign( MainForm.UTPackage_Load.Texture.MipMap );

  Dlg_FullSize.Height := Height + 45;
  Dlg_Fullsize.Width  := Width  + 7;
end;

procedure TDlg_FullSize.CopytoClipboard1Click(Sender: TObject);
var
  MyFormat  : Word;
  Texture   : TBitmap;
  AData     : THandle;
  APalette  : HPALETTE;
begin
  Texture := TBitmap.Create;

  try
    MainForm.UTPackage_Load.Load_NormalTexture( MainForm.TexId, 512 );

    Texture.Assign( MainForm.UTPackage_Load.Texture.MipMap );
    Texture.SaveToClipBoardFormat(MyFormat, AData, APalette);
    ClipBoard.SetAsHandle(MyFormat,AData);

    // logging
    MainForm.App_Log( 'Copied texture ' + MainForm.UTPackage_Load.TextureList.Name[MainForm.TexId] + ' to clipboard.', ICO_INFO );
  finally
    Texture.Free;
  end;
end;

end.
