//------------------------------------------------------------------------------
// GUI for logfile
//
// (c) 2000, 2001, Jesco Topp & Andy Ford
//------------------------------------------------------------------------------
unit App_ShowLog;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, ImgList;

type
  TDlg_ShowLog = class(TForm)
    OKBtn: TButton;
    Bevel1: TBevel;
    Panel1: TPanel;
    Image1: TImage;
    LogBox: TListBox;
    IconList: TImageList;
    procedure LogBoxDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure LogBoxClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    Icon_Type : array[0..32767] of BYTE;
    { Public declarations }
  end;

var
  Dlg_ShowLog: TDlg_ShowLog;

implementation

{$R *.dfm}


procedure TDlg_ShowLog.LogBoxDrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
var
  Icon : TIcon;
begin
  Icon := TIcon.Create;
  IconList.GetIcon(Icon_Type[Index], Icon);
  with LogBox.Canvas do
  begin
    Font := LogBox.Font;
    Draw( Rect.Left + 2, Rect.Top + 2, Icon );
    TextOut( Rect.Left + 24, Rect.Top + 3, LogBox.Items.Strings[Index] );
  end;
end;

procedure TDlg_ShowLog.LogBoxClick(Sender: TObject);
begin
  LogBox.RePaint;
end;

procedure TDlg_ShowLog.FormDestroy(Sender: TObject);
begin
  LogBox.Items.SaveToFile( ExtractFilePath( Application.ExeName ) + 'UTX-Viewer.log' );
end;

end.
